Mailinglist Archive: opensuse-updates (124 mails)

< Previous Next >
openSUSE-SU-2017:1746-1: moderate: Security update for libxml2
openSUSE Security Update: Security update for libxml2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:1746-1
Rating: moderate
References: #1024989 #1044337
Cross-References: CVE-2017-0663 CVE-2017-5969
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for libxml2 fixes the following issues:

Security issues fixed:

* CVE-2017-0663: Fixed a heap buffer overflow in xmlAddID (bsc#1044337)
* CVE-2017-5969: Fixed a NULL pointer deref in xmlDumpElementContent
(bsc#1024989)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-754=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

libxml2-2-2.9.4-5.9.1
libxml2-2-debuginfo-2.9.4-5.9.1
libxml2-debugsource-2.9.4-5.9.1
libxml2-devel-2.9.4-5.9.1
libxml2-tools-2.9.4-5.9.1
libxml2-tools-debuginfo-2.9.4-5.9.1
python-libxml2-2.9.4-5.9.1
python-libxml2-debuginfo-2.9.4-5.9.1
python-libxml2-debugsource-2.9.4-5.9.1

- openSUSE Leap 42.2 (x86_64):

libxml2-2-32bit-2.9.4-5.9.1
libxml2-2-debuginfo-32bit-2.9.4-5.9.1
libxml2-devel-32bit-2.9.4-5.9.1

- openSUSE Leap 42.2 (noarch):

libxml2-doc-2.9.4-5.9.1


References:

https://www.suse.com/security/cve/CVE-2017-0663.html
https://www.suse.com/security/cve/CVE-2017-5969.html
https://bugzilla.suse.com/1024989
https://bugzilla.suse.com/1044337


< Previous Next >
List Navigation
This Thread
  • No further messages